<?php
defined('TYPO3_MODE') || die();

(static function () {
    $vendor = 'Example';
    $extensionKey = 'redirect_test';
    /**
     * $plugins = [
     *     pluginName => [
     *         [controllerActions],
     *         [nonCacheableControllerActions]
     *     ]
     * ];
     */
    $plugins = [
        'P1' => [
            [
                'Form' => 'show,redirect',
            ],
        ],
    ];

    foreach ($plugins as $pluginName => $controllerActions) {
        if (!isset($controllerActions[1])) {
            $controllerActions[1] = [];
        }

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            $vendor . '.' . $extensionKey,
            $pluginName,
            $controllerActions[0],
            $controllerActions[1]
        );
    }
})();
